Subject: Re: OSTYPE missing
From: "vipin aravind" <[email-masked]>
To: <[email-masked]>
Date: Tue, 20 Nov 2001 14:13:47 +0530

hi,
    which is  the mailing  list   for  bash  shell?I had  like  to join the
list.
thanks
vipin
----- Original Message -----
From: "Pavel Tsekov" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, November 20, 2001 1:55 PM
Subject: Re: OSTYPE missing

> There was a more portable solution
> suggested on the mailing list though -
> use "uname" instead of OSTYPE. The
> problem which you're experiencing
> is just a new feature in bash 2.05a.
> If you read the announcement of this
> package on the mailing list you'll know
> what happens exactly.
>
> Daniel Steinmann wrote:
> >
> > Bruce Eckel wrote:
> > > I just updated to the latest Cygwin version, and suddenly the
> > > following lines in my makefile (which worked previously) are
> > > failing:
> > >
> > > ifneq ($(OSTYPE),cygwin)
> > >   $(error Must be run under Cygwin, ostype is $(OSTYPE))
> > > endif
> > >
> > > $(OSTYPE) is only producing '.'
> >
> > I had the same problem (and question):
> >
> >   http://www.cygwin.com/ml/cygwin/2001-11/msg01039.html
> >
> > My workaround:
> >
> >   OSTYPE := $(findstring CYGWIN, $(shell uname))
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/